Bug 628266 - Apostrophes presented as entities in POT files
Apostrophes presented as entities in POT files
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-28 22:14 EDT by Ruediger Landmann
Modified: 2015-09-27 22:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 16:42:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2010-08-28 22:14:50 EDT
Description of problem:
When Publican generates a POT file from an XML file, all apostrophes (single quote marks) in the text are presented as '

This breaks translations made when Publican presented single quote marks/apostrophes in PO files.

Using numerical entities for apostrophes makes translation more difficult, since the nature of the entity is not always obvious.

Version-Release number of selected component (if applicable):
2.1

How reproducible:
100%

Steps to Reproduce:
1. Place a string with an apostrophe in an XML file
2. run publican update_pot
  
Actual results:
The string appears in the POT file with ' in place of the apostrophe

Expected results:
The apostrophe is presented as a normal single quote mark.
Comment 1 Ruediger Landmann 2010-08-30 01:22:44 EDT
Confirmed fixed in build 2.1-0.fc13.t36

Reverting to this earlier behaviour will affect any books where the POT files have been refreshed in the last few months. However, it will prevent fuzzies being generated for strings with apostrophes in them when you reuse translations made previous to the last few months. Also, it ensures that single and double quotation marks are presented in the PO files as ' and " instead of ' and "

Manuel, is the earlier behaviour (' and ") what you would expect?
Comment 2 Manuel Ospina 2010-09-05 20:20:43 EDT
I think having the  ' and " is clearer for translators.
Comment 3 Ruediger Landmann 2010-09-28 03:10:26 EDT
A similar issue us happening with < and > -- these get changed into < and > in POT

Discovered on 2.1-0.fc13.t106
Comment 4 Jeff Fearn 2010-09-29 01:32:49 EDT
Fixed < and >.

Fixed in build: 2.1-0%{?dist}.t110
Comment 5 Fedora Update System 2010-10-06 01:49:09 EDT
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13
Comment 6 Fedora Update System 2010-10-06 01:50:25 EDT
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12
Comment 7 Fedora Update System 2010-10-06 01:50:29 EDT
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14
Comment 8 Fedora Update System 2010-10-08 16:40:34 EDT
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Laura Bailey 2010-11-28 18:44:16 EST
A number of my older books showed this problem with a large number of entities. Posting the list here in case of later regression:

&#39;
&#x2019;
&#34; (remember to replace this with \" in po files, to escape the " character)
&#60;
&#62;
&#x201C;
&#x201D; (remember to replace this with \" in po files, to escape the " character)
&#x2013;
&#160;
&#xA0;
&#8212;
&#37;
&#36;

Note You need to log in before you can comment on or make changes to this bug.